# $Revision: 1.24.2.5 $, $Date: 2007/03/04 14:47:56 $
#
# Conditional build:
%bcond_without	binary		# skip building binary plugins (build only mythweb)
%bcond_without	mythbrowser	# disable building mythbrowser plugin
%bcond_without	mythdvd		# disable building mythgallery plugin
%bcond_without	mythgallery	# disable building mythgallery plugin
%bcond_without	mythgame	# disable building mythgallery plugin
%bcond_without	mythmusic	# disable building mythmusic plugin
%bcond_without	mythnews	# disable building mythgallery plugin
%bcond_without	mythphone	# disable building mythgallery plugin
%bcond_without	mythvideo	# disable building mythgallery plugin
%bcond_without	mythweather	# disable building mythgallery plugin
%bcond_without	mythweb		# disable building mythgallery plugin
%bcond_without	mythflix	# disable building mythflix plugin
%bcond_without	mythcontrols	# disable mythcontrols plugin
#
%if %{without binary}
%undefine	with_mythbrowser
%undefine	with_mythdvd
%undefine	with_mythgallery
%undefine	with_mythgame
%undefine	with_mythmusic
%undefine	with_mythnews
%undefine	with_mythphone
%undefine	with_mythvideo
%undefine	with_mythweather
%undefine	with_mythcontrols
%undefine	with_mythflix
%endif

%include	/usr/lib/rpm/macros.perl

Summary:	Main MythTV plugins
Summary(pl):	Gwne wtyczki MythTV
Name:		mythplugins
Version:	0.19
Release:	9
License:	GPL v2
Group:		Applications/Multimedia
Source0:	http://www.mythtv.org/mc/%{name}-%{version}.tar.bz2
# Source0-md5:	201d60d5d60222038d8c97831f7e4288
Source1:	mythweb.conf
Patch0:		%{name}-lib64.patch
Patch1:		%{name}-paths.patch
Patch2:		mythweb-config.patch
Patch3:		mythtv-branch.diff
Patch4:		%{name}-flac.patch
URL:		http://www.mythtv.org/
%if %{with binary}
%if %{with mythgallery} || %{with myhtmusic}
BuildRequires:	OpenGL-devel
%endif
BuildRequires:	SDL-devel
BuildRequires:	XFree86-devel
BuildRequires:	a52dec-libs-devel
BuildRequires:	cdparanoia-III-devel
BuildRequires:	faad2-devel >= 2.0-5.2
%{?with_mythmusic:BuildRequires:	fftw-devel >= 2.1.3}
BuildRequires:	flac-devel >= 1.0.4
BuildRequires:	freetype-devel
BuildRequires:	kdelibs-devel
BuildRequires:	libcdaudio-devel >= 0.99.12p2
BuildRequires:	libdvdcss-devel >= 1.2.7
BuildRequires:	libdvdread-devel >= 0.9.4
%{?with_mythgallery:BuildRequires:	libexif-devel >= 1:0.6.9}
BuildRequires:	libfame-devel >= 0.9.0
BuildRequires:	libid3tag-devel
BuildRequires:	libmad-devel
BuildRequires:	libmyth-devel >= 0.19
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libvorbis-devel >= 1:1.0
BuildRequires:	mjpegtools-devel >= 1.6.1
BuildRequires:	nasm
BuildRequires:	patchutils
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
%{?with_mythdvd:BuildRequires:	transcode >= 0.6.8}
BuildRequires:	xvid-devel >= 1:0.9.1
BuildRequires:	zlib-devel
%endif
%{?with_mythbrowser:Requires:	mythbrowser}
%{?with_mythdvd:Requires:	mythdvd}
%{?with_mythflix:Requires:	mythflix}
%{?with_mythgallery:Requires:	mythgallery}
%{?with_mythgame:Requires:	mythgame}
%{?with_mythmysic:Requires:	mythmusic}
%{?with_mythnews:Requires:	mythnews}
%{?with_mythphone:Requires:	mythphone}
%{?with_mythvideo:Requires:	mythvideo}
%{?with_mythweather:Requires:	mythweather}
%{?with_mythweb:Requires:	mythweb}
ExclusiveArch:	%{ix86} %{x8664} ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		myth_api_version %(awk '/LIBVERSION/{print $3}' %{_datadir}/mythtv/build/settings.pro 2>/dev/null || echo ERROR)
%define		_webapps	/etc/webapps
%define		_webapp		mythweb

%description
This is a consolidation of all the official MythTV plugins that used
to be distributed as separate downloads from mythtv.org.

%description -l pl
Jest to zbir wszystkich oficjalnych wtyczek MythTV, ktre byy
wczeniej rozpowszechniane jako osobne pakiety na mythtv.org.

%package -n mythmusic
Summary:	The music player add-on module for MythTV
Summary(pl):	Modu odtwarzacza muzyki dla MythTV
Group:		Applications/Multimedia
Requires:	mythtv-frontend-api = %{myth_api_version}

%description -n mythmusic
Music add-on for MythTV.

%description -n mythmusic -l pl
Odtwarzacz muzyki dla MythTV.

%package -n mythvideo
Summary:	A generic video player frontend module for MythTV
Summary(pl):	Modu oglnego interfejsu do odtwarzania obrazu dla MythTV
Group:		Applications/Multimedia
Requires:	mplayer
Requires:	mythtv-frontend-api = %{myth_api_version}

%description -n mythvideo
A generic video player frontend module for MythTV.

%description -n mythvideo -l pl
Modu oglnego interfejsu do odtwarzania obrazu dla MythTV.

%package -n mythweather
Summary:	A MythTV module that displays a weather forcast
Summary(pl):	Modu MythTV wywietlajcy prognoz pogody
Group:		Applications/Multimedia
Requires:	mythtv-frontend-api = %{myth_api_version}

%description -n mythweather
A MythTV module that displays a weather forcast.

%description -n mythweather -l pl
Modu MythTV wywietlajcy prognoz pogody.

%package -n mythgallery
Summary:	A gallery/slideshow module for MythTV
Summary(pl):	Modu galerii/pokazu slajdw dla MythTV
Group:		Applications/Multimedia
Requires:	mythtv-frontend-api = %{myth_api_version}

%description -n mythgallery
A gallery/slideshow module for MythTV.

%description -n mythgallery -l pl
Modu galerii/pokazu slajdw dla MythTV.

%package -n mythgame
Summary:	A game frontend (xmame, nes, snes, pc) for MythTV
Summary(pl):	Interfejs do gier (xmame, nes, snes, pc) dla MythTV
Group:		Applications/Multimedia
Requires:	mythtv-frontend-api = %{myth_api_version}

%description -n mythgame
A game frontend (xmame, nes, snes, pc) for MythTV.

%description -n mythgame -l pl
Interfejs do gier (xmame, nes, snes, pc) dla MythTV.

%package -n mythdvd
Summary:	A DVD player module for MythTV
Summary(pl):	Modu odtwarzacza DVD dla MythTV
Group:		Applications/Multimedia
Requires:	mythtv-frontend-api = %{myth_api_version}
Requires:	transcode >= 0.6.8

%description -n mythdvd
MythDVD is a MythTV module that allows you to play DVDs on a myth-box
and (optionally) rip DVD's and transcode their video and audio content
to other (generally smaller) formats. The playing features are simply
myth-style wrappers for your favourite DVD playing software (mplayer,
ogle, xine, etc). The transcoding is based on and derived from the
excellent transcode package.

%description -n mythdvd -l pl
MythDVD to modu MythTV umoliwiajcy odtwarzanie pyt DVD w MythTV i
(opcjonalnie) rippowanie ich oraz przekodowywanie obrazu i dwiku do
innych (zwykle mniej zajmujcych) formatw. Moliwoci odtwarzania to
po prostu obudowanie w stylu myth dla ulubionego oprogramowania do
odtwarzania DVD (mplayer, ogle, xine itp.). Przekodowywanie jest
oparte i wywodzi si z wspaniaego pakietu transcode.

%package -n mythnews
Summary:	A RSS News Feed plugin for MythTV
Summary(pl):	Wtyczka czytnika nowinek RSS dla MythTV
Group:		Applications/Multimedia
Requires:	mythtv-frontend-api = %{myth_api_version}

%description -n mythnews
A RSS News Feed plugin for MythTV.

%description -n mythnews -l pl
Wtyczka czytnika nowinek RSS dla MythTV.

%package -n mythbrowser
Summary:	A small web browser module for MythTV
Summary(pl):	Modu maej przegldarki WWW dla MythTV
Group:		Applications/Multimedia
Requires:	mythtv-frontend-api = %{myth_api_version}

%description -n mythbrowser
MythBrowser is a full fledged web-browser (multiple tabs) to display
webpages in full-screen mode. Simple page navigation is possible.
Starting with version 0.13 it also has full support for mouse driven
navigation (right mouse opens and closes the popup menu).

MythBrowser also contains a BookmarkManager to manage the website
links in a simple mythplugin.

%description -n mythbrowser -l pl
MythBrowser to w peni funkcjonalna przegldarka WWW (z wieloma
zakadkami) wywietlajca strony WWW w trybie penoekranowym. Moliwa
jest prosta nawigacja po stronie. Poczwszy od wersji 0.13 ma pen
obsug nawigacji myszk (prawy przycisk otwiera i zamywa wyskakujce
menu).

MythBrowser zawiera take BookmarkManagera do zarzdzania odnonikami
do stron w prostej wtyczce myth.

%package -n mythphone
Summary:	A video conferencing module for MythTV
Summary(pl):	Modu wideokonferencji dla MythTV
Group:		Applications/Multimedia
Requires:	mythtv-frontend-api = %{myth_api_version}

%description -n mythphone
Mythphone is a phone and videophone capability on Myth using the
standard SIP protocol. It is compatible with Microsoft XP Messenger
and with SIP Service Providers such as Free World Dialup
(fwd.pulver.com).

%description -n mythphone -l pl
Mythphone to funkcjonalno telefonu i wideofonu w Myth przy uyciu
standardowego protokou SIP. Jest kompatybilny z Microsoft XP
Messengerem oraz dostawcami usug SIP, takimi jak Free World Dialup
(fwd.pulver.com).

%package -n mythweb
Summary:	The web interface to MythTV
Summary(pl):	Interfejs WWW do MythTV
Group:		Applications/Multimedia
Requires:	webapps
#Suggests:	apache(mod_auth)
#Suggests:	apache(mod_env)
Requires:	php(mysql)
Requires:	php(posix)
Requires:	webserver(php) >= 4.3

%description -n mythweb
The web interface to MythTV.

%description -n mythweb -l pl
Interfejs WWW do MythTV.

%package -n mythflix
Summary:	MythFlix (A NetFlix MythTV)
Summary(pl):	MythFlix (NetFlix MythTV)
Group:		Applications/Multimedia
Requires:	mythtv-frontend-api = %{myth_api_version}

%description -n mythflix
MythFlix is a MythTV plugin for adding movies to your Netflix queue.
It currently supports the ability to view your queue and add movies to
your queue. The browse feature is based on the Netflix RSS feeds. This
plugin is not very mature, which means things might not work right
and/or it might break other things.

%description -n mythflix -l pl
MythFlix to wtyczka MythTV do dodawania filmw do kolejki Netfliksa.
Aktualnie daje moliwo ogldania kolejki i dodawania do niej filmw.
Przegldanie jest oparte na kanale RSS Netfliksa. Ta wtyczka nie jest
jeszcze zbyt dojrzaa, co znaczy, e co moe nie dziaa lub psu co
innego.

%package -n mythcontrols
Summary:	MythTV keybindings editor
Summary(pl):	Edytor przypisa klawiszy MythTV
Group:		Applications/Multimedia
Requires:	mythtv-frontend-api = %{myth_api_version}

%description -n mythcontrols
This plugin allows you to configure your keybindings on the frontend
without having to use mythweb or edit tables by hand.

%description -n mythcontrols -l pl
Ta wtyczka pozwala konfigurowa przypisania klawiszy we frontendzie
bez koniecznoci uywania mythweba ani rcznego modyfikowania tabel.

%prep
%setup -q %{?_snap:-n %{name}}
%if %{_lib} != "lib"
%patch0 -p1
%endif
%patch1 -p1
%patch2 -p1
filterdiff -i 'mythplugins/*' %{PATCH3} | %{__patch} -p1 -s
%patch4 -p4

# make it visible
mv mythweb/{.,}htaccess

# lib64 fix - enable to update patch
%if %{_lib} != "lib" && 0
find '(' -name '*.[ch]' -o -name '*.cpp' -o -name '*.pro' ')' | \
xargs grep -l /lib/ . | xargs sed -i -e '
	s,/usr/lib/,/usr/%{_lib}/,g
	s,{PREFIX}/lib,{PREFIX}/%{_lib},g
'
exit 1
%endif

%build
%if %{with binary}
export QTDIR="%{_prefix}"
# Not gnu configure
%configure \
	--enable-all \
	%{!?with_mythbrowser:--disable-mythbrowser} \
	%{!?with_mythdvd:--disable-mythdvd}%{?with_mythdvd:--enable-transcode --enable-vcd} \
	%{!?with_mythgallery:--disable-mythgallery}%{?with_mythgallery:--enable-exif --enable-new-exif --enable-opengl} \
	%{!?with_mythgame:--disable-mythgame} \
	%{!?with_mythmusic:--disable-mythmusic}%{?with_mythmysic:--enable-fftw --enable-sdl --enable-aac --enable-opengl} \
	%{!?with_mythnews:--disable-mythnews} \
	%{!?with_mythphone:--disable-mythphone}%{?with_mythphone:--disable-festival} \
	%{!?with_mythvideo:--disable-mythvideo} \
	%{!?with_mythweather:--disable-mythweather} \
	%{!?with_mythweb:--disable-mythweb} \
	%{!?with_mythcontrols:--disable-mythcontrols} \
	%{!?with_mythflix:--disable-mythflix} \

mv mythconfig.mak mythconfig.mak.old
cp mythconfig.mak.old mythconfig.mak
cat <<'EOF'>> mythconfig.mak
QMAKE_CXX=%{__cxx}
QMAKE_CC=%{__cc}
OPTFLAGS=%{rpmcflags} -Wall -Wno-switch
ECFLAGS=%{rpmcflags} -fomit-frame-pointer
ECXXFLAGS=%{rpmcflags} -fomit-frame-pointer
EOF

%{__make}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with binary}
export QTDIR="%{_prefix}"
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/var/lib/{mythmusic,mythvideo,pictures}
%if %{with mythgame}
install -d $RPM_BUILD_ROOT%{_datadir}/mythtv/games/nes/{roms,screens}
install -d $RPM_BUILD_ROOT%{_datadir}/mythtv/games/snes/{roms,screens}
install -d $RPM_BUILD_ROOT%{_datadir}/mythtv/games/xmame/{roms,screens,flyers,cabs}
install -d $RPM_BUILD_ROOT%{_datadir}/mythtv/games/PC/screens
cp -a mythgame/gamelist.xml $RPM_BUILD_ROOT%{_datadir}/mythtv/games/PC
%endif
%endif

%if %{with mythweb}
install -d $RPM_BUILD_ROOT%{_datadir}/mythweb/{includes,languages}
install -d $RPM_BUILD_ROOT/var/cache/mythweb/{image_cache,php_sessions,tv_icons}
install -d $RPM_BUILD_ROOT%{_webapps}/%{_webapp}
cp -a mythweb/*.php $RPM_BUILD_ROOT%{_datadir}/mythweb
cp -a mythweb/languages/*.php $RPM_BUILD_ROOT%{_datadir}/mythweb/languages
cp -a mythweb/includes/*.php $RPM_BUILD_ROOT%{_datadir}/mythweb/includes
cp -a mythweb/{images,js,skins,modules,themes,templates} $RPM_BUILD_ROOT%{_datadir}/mythweb
cp -a mythweb/config/*.{php,dat} $RPM_BUILD_ROOT%{_webapps}/%{_webapp}
install %{SOURCE1} $RPM_BUILD_ROOT%{_webapps}/%{_webapp}/apache.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_webapps}/%{_webapp}/httpd.conf
touch $RPM_BUILD_ROOT%{_webapps}/%{_webapp}/htpasswd
%endif

for p in mythmusic mythvideo mythweather mythgallery mythgame mythdvd mythnews mythbrowser mythphone mythflix mythcontrols; do
	for l in $RPM_BUILD_ROOT%{_datadir}/mythtv/i18n/${p}_*.qm; do
		echo $l | sed -e "s,^$RPM_BUILD_ROOT\(.*${p}_\(.*\).qm\),%%lang(\2) \1,"
	done > $p.lang
done

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -n mythweb -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -n mythweb -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -n mythweb -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -n mythweb -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -n mythweb -- mythweb < 0.19
for i in canned_searches.php conf.php htpasswd theme_Default.php theme_compact.php theme_vxml.php theme_wap.php theme_wml.php weathertypes.dat; do
	if [ -f /etc/mythweb/$i.rpmsave ]; then
		mv -f %{_webapps}/%{_webapp}/$i{,.rpmnew}
		mv -f /etc/mythweb/$i.rpmsave %{_webapps}/%{_webapp}/$i
	fi
done
sed -i -e 's,/etc/mythweb,%{_webapps}/%{_webapp},' %{_webapps}/%{_webapp}/{apache,httpd}.conf

# migrate from apache-config macros
if [ -f /etc/mythweb/apache.conf.rpmsave ]; then
	if [ -d /etc/apache/webapps.d ]; then
		cp -f %{_webapps}/%{_webapp}/apache.conf{,.rpmnew}
		cp -f /etc/mythweb/apache.conf.rpmsave %{_webapps}/%{_webapp}/apache.conf
	fi

	if [ -d /etc/httpd/webapps.d ]; then
		cp -f %{_webapps}/%{_webapp}/httpd.conf{,.rpmnew}
		cp -f /etc/mythweb/apache.conf.rpmsave %{_webapps}/%{_webapp}/httpd.conf
	fi
	rm -f /etc/mythweb/apache.conf.rpmsave
fi

if [ -L /etc/apache/conf.d/99_mythplugins.conf ]; then
	rm -f /etc/apache/conf.d/99_mythplugins.conf
	/usr/sbin/webapp register apache %{_webapp}
	%service -q apache reload
fi
if [ -L /etc/httpd/httpd.conf/99_mythplugins.conf ]; then
	rm -f /etc/httpd/httpd.conf/99_mythplugins.conf
	/usr/sbin/webapp register httpd %{_webapp}
	%service -q httpd reload
fi

%files
%defattr(644,root,root,755)

%if %{with mythmusic}
%files -n mythmusic -f mythmusic.lang
%defattr(644,root,root,755)
%doc mythmusic/README mythmusic/UPGRADING mythmusic/AUTHORS mythmusic/musicdb
%attr(755,root,root) %{_libdir}/mythtv/plugins/libmythmusic.so
/var/lib/mythmusic
%{_datadir}/mythtv/musicmenu.xml
%{_datadir}/mythtv/music_settings.xml
%{_datadir}/mythtv/themes/default/music-ui.xml
%{_datadir}/mythtv/themes/default/ff_button_off.png
%{_datadir}/mythtv/themes/default/ff_button_on.png
%{_datadir}/mythtv/themes/default/ff_button_pushed.png
%{_datadir}/mythtv/themes/default/mm_blackhole_border.png
%{_datadir}/mythtv/themes/default/mm_blankbutton_off.png
%{_datadir}/mythtv/themes/default/mm_blankbutton_on.png
%{_datadir}/mythtv/themes/default/mm_blankbutton_pushed.png
%{_datadir}/mythtv/themes/default/mm_checked.png
%{_datadir}/mythtv/themes/default/mm_checked_high.png
%{_datadir}/mythtv/themes/default/mm_down_arrow.png
%{_datadir}/mythtv/themes/default/mm_left_arrow.png
%{_datadir}/mythtv/themes/default/mm_leftright_off.png
%{_datadir}/mythtv/themes/default/mm_leftright_on.png
%{_datadir}/mythtv/themes/default/mm_leftright_pushed.png
%{_datadir}/mythtv/themes/default/mm_rating.png
%{_datadir}/mythtv/themes/default/mm_right_arrow.png
%{_datadir}/mythtv/themes/default/mm_unchecked.png
%{_datadir}/mythtv/themes/default/mm_unchecked_high.png
%{_datadir}/mythtv/themes/default/mm_up_arrow.png
%{_datadir}/mythtv/themes/default/mm_volume_background.png
%{_datadir}/mythtv/themes/default/mm_volume_tick.png
%{_datadir}/mythtv/themes/default/mm_waiting.png
%{_datadir}/mythtv/themes/default/music-sel-bg.png
%{_datadir}/mythtv/themes/default/next_button_off.png
%{_datadir}/mythtv/themes/default/next_button_on.png
%{_datadir}/mythtv/themes/default/next_button_pushed.png
%{_datadir}/mythtv/themes/default/pause_button_off.png
%{_datadir}/mythtv/themes/default/pause_button_on.png
%{_datadir}/mythtv/themes/default/pause_button_pushed.png
%{_datadir}/mythtv/themes/default/play_button_off.png
%{_datadir}/mythtv/themes/default/play_button_on.png
%{_datadir}/mythtv/themes/default/play_button_pushed.png
%{_datadir}/mythtv/themes/default/prev_button_off.png
%{_datadir}/mythtv/themes/default/prev_button_on.png
%{_datadir}/mythtv/themes/default/prev_button_pushed.png
%{_datadir}/mythtv/themes/default/rew_button_off.png
%{_datadir}/mythtv/themes/default/rew_button_on.png
%{_datadir}/mythtv/themes/default/rew_button_pushed.png
%{_datadir}/mythtv/themes/default/selectionbar.png
%{_datadir}/mythtv/themes/default/stop_button_off.png
%{_datadir}/mythtv/themes/default/stop_button_on.png
%{_datadir}/mythtv/themes/default/stop_button_pushed.png
%{_datadir}/mythtv/themes/default/text_button_off.png
%{_datadir}/mythtv/themes/default/text_button_on.png
%{_datadir}/mythtv/themes/default/text_button_pushed.png
%{_datadir}/mythtv/themes/default/track_info_background.png
%endif

%if %{with mythvideo}
%files -n mythvideo -f mythvideo.lang
%defattr(644,root,root,755)
%doc mythvideo/README mythvideo/UPGRADING mythvideo/videodb
%attr(755,root,root) %{_libdir}/mythtv/plugins/libmythvideo.so
%{_datadir}/mythtv/themes/default/video-ui.xml
%{_datadir}/mythtv/themes/default/mv-*.png
%{_datadir}/mythtv/themes/default/mv_*.png
%{_datadir}/mythtv/video_settings.xml
%{_datadir}/mythtv/videomenu.xml
%dir %{_datadir}/mythtv/mythvideo
%dir %{_datadir}/mythtv/mythvideo/scripts
%{_datadir}/mythtv/mythvideo/scripts/README
%attr(755,root,root) %{_datadir}/mythtv/mythvideo/scripts/imdb.pl
%attr(755,root,root) %{_datadir}/mythtv/mythvideo/scripts/allocine.pl
%attr(755,root,root) %{_datadir}/mythtv/mythvideo/scripts/ofdb.pl
/var/lib/mythvideo
%endif

%if %{with mythweather}
%files -n mythweather -f mythweather.lang
%defattr(644,root,root,755)
%doc mythweather/README
%attr(755,root,root) %{_libdir}/mythtv/plugins/libmythweather.so
%{_datadir}/mythtv/mythweather
%{_datadir}/mythtv/themes/default/weather-ui.xml
%{_datadir}/mythtv/themes/default/cloudy.png
%{_datadir}/mythtv/themes/default/fair.png
%{_datadir}/mythtv/themes/default/flurries.png
%{_datadir}/mythtv/themes/default/fog.png
%{_datadir}/mythtv/themes/default/logo.png
%{_datadir}/mythtv/themes/default/lshowers.png
%{_datadir}/mythtv/themes/default/mcloudy.png
%{_datadir}/mythtv/themes/default/mw-*.png
%{_datadir}/mythtv/themes/default/mwmain.png
%{_datadir}/mythtv/themes/default/pcloudy.png
%{_datadir}/mythtv/themes/default/rainsnow.png
%{_datadir}/mythtv/themes/default/showers.png
%{_datadir}/mythtv/themes/default/snowshow.png
%{_datadir}/mythtv/themes/default/sunny.png
%{_datadir}/mythtv/themes/default/thunshowers.png
%{_datadir}/mythtv/themes/default/unknown.png
%endif

%if %{with mythgallery}
%files -n mythgallery -f mythgallery.lang
%defattr(644,root,root,755)
%doc mythgallery/README mythgallery/UPGRADING
%attr(755,root,root) %{_libdir}/mythtv/plugins/libmythgallery.so
%{_datadir}/mythtv/themes/default/gallery-ui.xml
%{_datadir}/mythtv/themes/default/gallery-*.png
# FIXME: this is definately stupid path
/var/lib/pictures
%endif

%if %{with mythgame}
%files -n mythgame -f mythgame.lang
%defattr(644,root,root,755)
%doc mythgame/README mythgame/UPGRADING
%attr(755,root,root) %{_libdir}/mythtv/plugins/libmythgame.so
%{_datadir}/mythtv/games
%{_datadir}/mythtv/game_settings.xml
%{_datadir}/mythtv/themes/default/game-ui.xml
%endif

%if %{with mythdvd}
%files -n mythdvd -f mythdvd.lang
%defattr(644,root,root,755)
%doc mythdvd/README mythdvd/UPGRADING mythdvd/AUTHORS
%attr(755,root,root) %{_bindir}/mtd
%attr(755,root,root) %{_libdir}/mythtv/plugins/libmythdvd.so
%{_datadir}/mythtv/dvd_settings.xml
%{_datadir}/mythtv/dvdmenu.xml
%{_datadir}/mythtv/themes/default/dvd-ui.xml
%{_datadir}/mythtv/themes/default/md_*.png
%endif

%if %{with mythnews}
%files -n mythnews -f mythnews.lang
%defattr(644,root,root,755)
%doc mythnews/README mythnews/AUTHORS
%attr(755,root,root) %{_libdir}/mythtv/plugins/libmythnews.so
%{_datadir}/mythtv/mythnews
%{_datadir}/mythtv/themes/default/news-ui.xml
# DUPLICATE WITH MYTHFLIX?
%{_datadir}/mythtv/themes/default/news-info-bg.png
%endif

%if %{with mythbrowser}
%files -n mythbrowser -f mythbrowser.lang
%defattr(644,root,root,755)
%doc mythbrowser/README mythbrowser/AUTHORS
%attr(755,root,root) %{_bindir}/mythbrowser
%attr(755,root,root) %{_libdir}/mythtv/plugins/libmythbookmarkmanager.so
%{_datadir}/mythtv/themes/default/webpage.png
%endif

%if %{with mythphone}
%files -n mythphone -f mythphone.lang
%defattr(644,root,root,755)
%doc mythphone/README mythphone/AUTHORS mythphone/TODO
%attr(755,root,root) %{_libdir}/mythtv/plugins/libmythphone.so
%{_datadir}/mythtv/themes/default/phone-ui.xml
%{_datadir}/mythtv/themes/default/webcam-ui.xml
%{_datadir}/mythtv/themes/default/mp_*.png
%{_datadir}/mythtv/themes/default/phone.png
%endif

%if %{with mythweb}
%files -n mythweb
%defattr(644,root,root,755)
%doc mythweb/{README,TODO} mythweb/languages/*.{pl,txt}
%dir %attr(750,root,http) %{_webapps}/%{_webapp}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/httpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/*.php
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/*.dat
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_webapps}/%{_webapp}/htpasswd
%{_datadir}/mythweb
%dir %attr(771,root,http) /var/cache/mythweb
%dir %attr(771,root,http) /var/cache/mythweb/image_cache
%dir %attr(771,root,http) /var/cache/mythweb/php_sessions
%dir %attr(771,root,http) /var/cache/mythweb/tv_icons
%endif

%if %{with mythflix}
%files -n mythflix -f mythflix.lang
%defattr(644,root,root,755)
%doc mythflix/{AUTHORS,ChangeLog,README}
%attr(755,root,root) %{_libdir}/mythtv/plugins/libmythflix.so
%dir %{_datadir}/mythtv/mythflix
%{_datadir}/mythtv/mythflix/netflix-rss.xml
%dir %{_datadir}/mythtv/mythflix/scripts
%attr(755,root,root) %{_datadir}/mythtv/mythflix/scripts/netflix.pl
%{_datadir}/mythtv/netflix_menu.xml
%{_datadir}/mythtv/themes/default/title_netflix.png
%{_datadir}/mythtv/themes/default/netflix-ui.xml
# DUPLICATE WITH MYTHNEWS?
%{_datadir}/mythtv/themes/default/news-info-bg.png
%endif

%if %{with mythcontrols}
%files -n mythcontrols -f mythcontrols.lang
%defattr(644,root,root,755)
%doc mythcontrols/{AUTHORS,README,TODO}
%attr(755,root,root) %{_libdir}/mythtv/plugins/libmythcontrols.so
%{_datadir}/mythtv/themes/default/controls-ui.xml
%{_datadir}/mythtv/themes/default/kb-button-off.png
%{_datadir}/mythtv/themes/default/kb-button-on.png
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mythplugins.spec,v $
Revision 1.24.2.5  2007/03/04 14:47:56  glen
- flac patch; rel 9

Revision 1.24.2.4  2007/01/26 16:57:39  glen
- rel 8

Revision 1.24.2.3  2006/12/14 00:20:43  glen
- rel 7

Revision 1.24.2.2  2006/11/26 12:59:15  glen
- php virtual deps; rel 6

Revision 1.24.2.1  2006/10/01 18:07:45  glen
- update webapp triggers due apache1 package split
- rel 5

Revision 1.24  2006/09/05 02:04:09  glen
- rel 4

Revision 1.23  2006/09/04 23:41:58  glen
- rel 3.3

Revision 1.22  2006/05/28 12:38:44  glen
- add branch.diff: release 0.19 fixes up to svn 10051

Revision 1.21  2006/05/01 20:02:42  glen
- rel 3

Revision 1.20  2006/04/23 12:10:02  glen
- rel 2

Revision 1.19  2006/02/18 09:40:52  qboosh
- cosmetics

Revision 1.18  2006/02/13 15:15:35  glen
- add ppc to ExclusiveArch list (gentoo has it so it perhaps works?)

Revision 1.17  2006/02/13 01:14:04  glen
- merged 0.19 from DEVEL

Revision 1.16  2005/11/20 22:53:40  glen
- use virtual webserver provide

Revision 1.15  2005/10/25 22:16:05  glen
- typo

Revision 1.14  2005/10/25 21:40:34  qboosh
- pl for mythweb

Revision 1.13  2005/10/25 21:23:30  glen
- added mythweb package

Revision 1.12.2.30  2006/02/13 00:21:48  glen
- 0.19 release

Revision 1.12.2.29  2006/02/05 19:50:17  luzik
- removed cdaudio.patch
- fixed BR

Revision 1.12.2.28  2006/02/05 10:07:08  luzik
- added libcdaudio patch

Revision 1.12.2.27  2006/02/04 16:52:43  glen
- r8859

Revision 1.12.2.26  2006/02/03 11:42:31  glen
- %lang attrs to i18n files

Revision 1.12.2.25  2006/02/03 11:29:00  glen
- mmx hack no longer needed
- bcond known BR-s
- cleanup patches

Revision 1.12.2.24  2006/02/03 10:39:24  qboosh
- pl for mythflix and mythcontrols

Revision 1.12.2.23  2006/02/03 10:36:34  glen
- finish mythcontrols module

Revision 1.12.2.22  2006/02/03 01:07:12  glen
- *this* build time cflags hack (override libmyth buildtime flags)

Revision 1.12.2.21  2006/02/03 00:58:48  glen
- checked and added configure options

Revision 1.12.2.20  2006/02/02 15:54:44  glen
- updated lib64 patch

Revision 1.12.2.19  2006/02/02 15:51:13  glen
- checked theme files

Revision 1.12.2.18  2006/02/02 15:43:24  glen
- packaged mythflix, theme files totally messed up

Revision 1.12.2.17  2006/02/02 15:21:00  glen
- update webapp trigger for apache2

Revision 1.12.2.16  2006/02/02 15:19:36  glen
- cleanup Version to prevent Epoch bump

Revision 1.12.2.15  2006/02/01 19:52:14  glen
- converted mythweb to webapps

Revision 1.12.2.14  2006/02/01 19:23:08  glen
- really add it

Revision 1.12.2.13  2006/02/01 19:22:26  glen
- add /var/cache/mythweb/tv_icons dir

Revision 1.12.2.12  2006/01/30 19:56:16  glen
- svn r8763 (20060129)

Revision 1.12.2.11  2006/01/12 10:19:50  glen
- fix versioning, updated mythweb

Revision 1.12.2.10  2006/01/07 13:43:28  glen
- up to r8332 (reported to be working after livetv changes)

Revision 1.12.2.9  2005/11/05 15:07:42  glen
- complete bconds for each plugin

Revision 1.12.2.8  2005/11/05 14:53:09  glen
- mythmusic/gallery/browser build again

Revision 1.12.2.7  2005/11/04 01:07:19  glen
- fixed binary build, disabled ones that failed

Revision 1.12.2.6  2005/11/04 01:00:06  glen
- use mod_env to (relatively) securely pass database connection info

Revision 1.12.2.5  2005/11/04 00:58:32  glen
- finished mythweb update

Revision 1.12.2.4  2005/11/04 00:04:14  glen
- merge mythweb from HEAD

Revision 1.12.2.3  2005/11/04 00:00:16  glen
- 20051104 snap
- partial with binary bcond

Revision 1.12.2.2  2005/10/22 15:46:59  glen
- 20051022 snap (doesn't build)

Revision 1.12.2.1  2005/10/22 15:33:36  glen
- try building against snap of mythtv

Revision 1.15  2005/10/25 22:16:05  glen
- typo

Revision 1.14  2005/10/25 21:40:34  qboosh
- pl for mythweb

Revision 1.13  2005/10/25 21:23:30  glen
- added mythweb package

Revision 1.12  2005/10/19 22:09:24  glen
- fix build

Revision 1.11  2005/09/24 16:41:29  glen
- no point building plugins for arches that don't have mythtv

Revision 1.10  2005/09/24 16:27:54  glen
- remove bconds, builds now

Revision 1.9  2005/09/22 18:12:01  qboosh
- pl

Revision 1.8  2005/09/14 09:38:19  glen
- more settings paths changes in programs

Revision 1.7  2005/09/08 22:14:06  glen
- fixed amd64 build
- added macros.perl for mythvideo scripts

Revision 1.6  2005/09/08 14:48:54  glen
- fix libmyth-devel BR

Revision 1.5  2005/09/08 14:48:17  glen
- fixed %doc, cleanups

Revision 1.4  2005/09/08 13:53:14  glen
- removed COPYING from %doc (GPL)

Revision 1.3  2005/09/08 13:42:28  glen
- compiles

Revision 1.2  2005/09/08 01:51:51  glen
- save

Revision 1.1  2005/09/07 19:54:19  glen
- adapterized from atrpms spec, minor cleanups, NFY, DNT
